Subject: Re: Avoid some signal-handling races, and simplify.

From: Paul Eggert <[email-masked]>
Date: Fri, 21 Sep 2012 12:59:07 -0700

On 09/21/2012 11:27 AM, Eli Zaretskii wrote:>> +#define raise   sys_raise
> I already told that I don't want to do that.

Yes, but the most-recent patch did something else than what you had
objected to, and should avoid its problems.

> Shadowing library functions is a maintenance burden in the long run.

It's a maintenance burden no matter how we do it.  When it's easy, as
is the case here, it's better to address Windows-specific problems in
the Windows code.  This relieves the mainline maintainers of the
maintenance burden of reading Windows code, and that is a win.

Besides, this particular patch has almost no burden on the Windows
side.  We're talking about six simple lines that fit nicely into an
already-existing framework for this sort of thing.